#include <QApplication>
#include "mainfrm.h"
#include <QTranslator>
#include <QFile>
#include <QDir>

int main(int argc, char *argv[])
{
	QApplication app(argc, argv);
	QTranslator qtTranslator;
	QDir currentDir = QDir::homePath();
	QFile configfile( currentDir.path() + "/.2man.cnf" );
	if (configfile.open(QFile::ReadOnly)) 
	{
		QByteArray newData = configfile.readLine(0);
		QString wl_var_1 = QString::fromLocal8Bit(newData);
		configfile.close();
		if ( wl_var_1.mid(0,3) == "Eng" )
		{
			qtTranslator.load("manencode_en", qApp->applicationDirPath());
			app.installTranslator(&qtTranslator);
		}
	}
	mainfrm *dialog = new mainfrm;
	dialog->show();
	return app.exec();
}
