#ifndef MAINFRM_H
#define MAINFRM_H
#include "ui_mainfrm.h"
#include <QProcess>
#include <QDir>

class mainfrm : public QDialog, public Ui::mainfrm
{
	Q_OBJECT
	public:
		mainfrm(QWidget *parent = 0);
		int length_film;
		int hauteur;
		int largeur;
		int audio_bitrate;
		bool isplaying;
		bool isstop;
		bool isedl;
		QTimer *l_timer;
		QString playing_file;
		int av_delta;
		int w_error;
		int ispreview;
		int iscompliant;
		int nbre_passage;
		QString tmp_exchange_1;
		//
		QPixmap pb_vide;
		QPixmap pb_pleine;
		QPixmap bt_play;
		QPixmap bt_pause;
		QPixmap windows;
		QString current_time_string;
		int current_time_int;
		//
		QString working_dir;
		QDir currentDir;
	private slots:
		void f_def_equa();
		void f_erase_sub();
		void f_catch();
		void f_catch_start();
		void f_catch_end();
		void f_save_param_manslide();
		void f_cancel_encoding();
		void f_cut_start();
		void f_cut_end();
		void f_save_decoupage();
		void f_open_decoupage();
		void f_cancel_decoupage();
		void f_percent_change();
		void f_start_percent_change();
		void f_plus();
		void f_moins();
		void f_plus_released();
		void f_moins_released();
		void f_end_mainfrm(int);
		void f_output_file();
		void f_start_encode();
		void f_cancel_encode();
		void f_open_video();
		void f_open_encoder();
		void f_stop_play_video();
		void f_read_stdout();
		void f_current_time();
		void f_forward();
		void f_rewind();
		void f_rotation_1(int);
		void f_rotation_2(int);
		void f_change_lumiere(int);
		void f_change_contraste(int);
		void f_change_saturation(int);
		void f_change_bitrate_video(int);
		void f_mplayer_end(int, QProcess::ExitStatus);
		void end_convert_video(int, QProcess::ExitStatus);
		void end_transcode(int, QProcess::ExitStatus);
		void end_mplayerbisProcess(int, QProcess::ExitStatus);
		void lecture_convert_video();
		void lecture_mplayerbisProcess();
		void lecture_transcode();
		void f_open_sstitres();
		void f_cancel_sub();
		void f_valid_sub();
		void f_open_sub();
	private:
		QProcess mplayerProcess;
		QProcess mplayerbisProcess;
		QProcess mencoderProcess;
		QProcess transcodeProcess;
};
#endif
